TV_GRAB_PT_VODAFONE(1)

NAME
tv_grab_pt_vodafone - Grab TV listings for Vodafone in Portugal.

SYNOPSIS
tv_grab_pt_vodafone --help

tv_grab_pt_vodafone --configure [--config-file FILE]

tv_grab_pt_vodafone [--config-file FILE]
                 [--days N] [--offset N] [--channel xmltvid,xmltvid,...]
                 [--output FILE] [--quiet] [--debug]

tv_grab_pt_vodafone --list-channels [--config-file FILE]
                 [--output FILE] [--quiet] [--debug]

DESCRIPTION
Output TV and listings in XMLTV format for many stations available in Portugal. This program consumes the EPG service from Vodafone at <https://tvnetvoz.vodafone.pt/sempre-consigo/>.

First you must run tv_grab_pt_vodafone --configure to choose which stations you want to receive.

Then running tv_grab_pt_vodafone with no arguments will get a listings for the stations you chose for all available days including today.

OPTIONS
--configure Prompt for which stations to download and write the configuration file.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_pt_vodafone.conf. This is the file written by --configure and read when grabbing.

--output FILE When grabbing, write output to FILE rather than standard output.

--days N When grabbing, grab N days rather than everything available.

--offset N Start grabbing at today + N days.

--quiet Only print error-messages on STDERR.

--debug Provide more information on progress to stderr to help in debugging.

--list-channels Output a list of all channels that data is available
                      for. The list is in xmltv-format.

--capabilities Show which capabilities the grabber supports. For more information, see <http://wiki.xmltv.org/index.php/XmltvCapabilities>

--version Show the version of the grabber.

--help Print a help message and exit.

ERROR HANDLING
If the grabber fails to download data from webstep, it will print an errormessage to STDERR and then exit with a status code of 1 to indicate that the data is missing.

ENVIRONMENT VARIABLES
The environment variable HOME can be set to change where configuration files are stored. All configuration is stored in $HOME/.xmltv/. On Windows, it might be necessary to set HOME to a path without spaces in it.

CREDITS
Kevin Groeneveld (kgroeneveld at gmail dot com)

This grabber uses code from tv_grab_pt_meo by Karl Dietz, dekarl -at- users -dot- sourceforge -dot- net, and from tv_grab_zz_sdjson by Kevin Groeneveld, kgroeneveld -at- gmail -dot- com.

The original idea of this grabber came from higuita's shell script, see <https://github.com/higuita/vodafone.pt-xmltv>.

Special thanks to Vodafone for building a clean, fast, and public access API; much more reliable than Meo's open API (but sadly not as open) and much better than the lack of any API from NOS.

AUTHOR
Nuno Sénica, nsenica -at- gmail -dot- com.

BUGS
None known.